Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 455222

Summary: lrzip fails to compress a file
Product: [Fedora] Fedora Reporter: Nathan G. Grennan <redhat-bugzilla>
Component: lrzipAssignee: Warren Togami <wtogami>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 18:26:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
patch for F-9 lrzip none

Description Nathan G. Grennan 2008-07-14 08:04:25 UTC
Description of problem:
I was trying to compress a large tar file, and receive the error below. I also
tried a very small text file, and received the same error.

lrzip winXPPro.tar 
Output filename is: winXPPro.tar.lrz
Failed to map buffer in rzip_fd
Fatal error - exiting

Version-Release number of selected component (if applicable):
lrzip-0.19-1.fc9.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Install lrzip on system with 4gb+ memory.
2. lrzip winXPPro.tar
 
Actual results:
Output filename is: winXPPro.tar.lrz
Failed to map buffer in rzip_fd
Fatal error - exiting

Expected results:
Output filename is: winXPPro.tar.lrz
14%     Progress percentage pausing during lzma compression...

Additional info:
lrzip-0.18-1.fc8.x86_64 seems to have the same problem.

My F8 and F9 systems that I see this on have 4gb of memory.
My F9 laptop system that I don't see this on has 2gb of memory.

lrzip-0.23 works just fine.

Comment 1 Kamil Dudka 2008-09-04 12:42:53 UTC
Created attachment 315745 [details]
patch for F-9 lrzip

This bug is already fixed in lrzip-0.23-1.fc10, patch in attachment fixes this bug for F-9 lrzip.

Comment 2 Warren Togami 2008-09-04 15:13:48 UTC
http://kojipkgs.fedoraproject.org/packages/lrzip/0.23/
Please test the new builds here.

Comment 3 Kamil Dudka 2008-09-05 07:27:44 UTC
(In reply to comment #2)
> http://kojipkgs.fedoraproject.org/packages/lrzip/0.23/
> Please test the new builds here.

It was already told in the report: "lrzip-0.23 works just fine"

Comment 4 Warren Togami 2008-09-05 14:56:59 UTC
That is no substitute for testing the actual binary that will be pushed to users.

Comment 5 Kamil Dudka 2008-09-05 22:33:20 UTC
Of course :-) I've tested lrzip-0.23-1.fc9.x86_64.rpm and it works as expected - at least in the context of this bug...

Comment 6 Bug Zapper 2009-06-10 02:05:05 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 18:26:04 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.